[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.Resync

Resynchronize the data buffer

## Declaration

Source position: db.pas line 1330

`public procedure TDataSet.Resync(`
`Mode: TResyncMode`
`); virtual;`

## Arguments

`Mode` |  | How to refresh the buffers.

## Description

Resync refetches the records around the cursor position. It should not be used by application code, instead TDataset.Refresh should be used. The Resync parameter indicates how the buffers should be refreshed.

## See also

TDataset.Refresh |  | Refresh the records in the dataset

The latest version of this document can be found at lazarus-ccr.sourceforge.net .